//+------------------------------------------------------------------+
//|                                                        XTest.mq4 |
//+------------------------------------------------------------------+

//---- input parameters
extern int       Kperiod=5;
extern int       Dperiod=3;
extern int       slowPeriod=3;
extern int       UpLevel=90;
extern int       DownLevel=10;

//--   --
#include  "Common.mq4" 

//+----------------------------------------------------------------------------+
//|    .                                              |
//+----------------------------------------------------------------------------+
void GetSignal()
{
// your code
   double prevValue = iStochastic(Symbol(),NULL,Kperiod,Dperiod,slowPeriod,MODE_SMA,0,MODE_SIGNAL,2);
   double currValue = iStochastic(Symbol(),NULL,Kperiod,Dperiod,slowPeriod,MODE_SMA,0,MODE_SIGNAL,1);
   if (currValue>DownLevel && prevValue<DownLevel) OrderBuy();
   if (currValue<UpLevel && prevValue>UpLevel) OrderSell();
//----
}

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{
  if (AllowSignal())
  {
   GetSignal();
   Start();
  }
//----
   return(0);
}

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
{
   int res = Init();
//----
   //your code
//----
   return(res);
}

//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
{
   int res = Deinit();
//----
   //your code
//----
   return(res);
}